{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}
{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item active">Customers</li>
    </ol>
{% endblock %}

{% block body %}

<div class="card">
    <div class="card-body">

        <div class="box">
            <table class="table table-bordered table-hover">
                <thead>
                <tr>
                    <th>User email</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Mobile</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                {% for customer in pagination %}
                    <tr>
                        <td>{{ customer.user_email }}</td>
                        <td><a href="{{ path('admin.customers.show', {'id': customer.id}) }}">{{ customer.name }}</a></td>
                        <td>{{ customer.email }}</td>
                        <td>{{ customer.mobile }}</td>
                        <td>
                            <div class="d-flex flex-row">
                                <a href="{{ path('admin.users.show', {'id': customer.id}) }}">Show user</a>
                            </div>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>

        <div class="navigation">
            {{ knp_pagination_render(pagination) }}
        </div>
    </div>
</div>

{% endblock %}